Subject: Re: [HASMAT] "STS" moniker (was: IETF BoF @IETF-78 Maastricht: HASMAT...)

From: =JeffH <[email-masked]>
Date: Wed, 30 Jun 2010 13:03:58 -0700

> Quick nit/suggestion: ... is there any chance of renaming STS to something
 > else?  Reason is (as you know) STS is used in WSS literature as Security
 > Token Service. This term has also made it into the OAuth drafts.

Well, from an HTTP perspective, "Strict Transport Security" is what made most 
sense to a number of colleagues when we were discussing names. However, I've 
been thinking that we should probably qualify the name because it /is/ 
HTTP-specfic, i.e. "HTTP Strict Transport Security" yielding "HSTS" as an 
acronym (yes, I'm well aware of the acronym collision you mention).

=JeffH

---

From: "Thomas Hardjono" <[email-masked]>
Date: Wed, 30 Jun 2010 16:15:51 -0400

No problem Jeff.  "STS" is just fine :)  

PS. Will the HASMAT BOF have Webex?

cheers,

/thomas/

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On
> Behalf Of =JeffH
> Sent: Wednesday, June 30, 2010 4:04 PM
> To: IETF HASMAT list
> Subject: Re: [HASMAT] "STS" moniker (was: IETF BoF @IETF-78
Maastricht:
> HASMAT...)
> 
>  > Quick nit/suggestion: ... is there any chance of renaming STS to
> something  > else?  Reason is (as you know) STS is used in WSS
> literature as Security  > Token Service. This term has also made it
> into the OAuth drafts.
> 
> 
> Well, from an HTTP perspective, "Strict Transport Security" is what
> made most sense to a number of colleagues when we were discussing
> names. However, I've been thinking that we should probably qualify
the
> name because it /is/ HTTP-specfic, i.e. "HTTP Strict Transport
> Security" yielding "HSTS" as an acronym (yes, I'm well aware of the
> acronym collision you mention).
> 
> =JeffH
> 
> 
> _______________________________________________
> HASMAT mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/hasmat